This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 112822 - Postfix SRPMS is missing zlib-devel depency
Postfix SRPMS is missing zlib-devel depency
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-02 17:07 EST by Petri T. Koistinen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-12 13:47:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petri T. Koistinen 2004-01-02 17:07:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031107 Debian/1.5-3

Description of problem:
gcc -Wmissing-prototypes -Wformat -DHAS_LDAP -DHAS_PCRE
-I/usr/include/pcre -DUSE_SASL_AUTH -I/usr/include/sasl -DHAS_SSL
-I/usr/kerberos/include   -O2 -g -march=i386 -mcpu=i686 -I.
-I../../include -DLINUX2 -o master master.o master_conf.o master_ent.o
master_sig.o master_avail.o master_spawn.o master_service.o
master_status.o master_listen.o master_vars.o master_wakeup.o
master_flow.o ../../lib/libglobal.a ../../lib/libutil.a -L/usr/lib
-lldap -llber -lpcre -L/usr/lib/sasl2 -lsasl2 -L/usr/kerberos/lib
-lssl -lcrypto -lgssapi_krb5 -lkrb5 -lcom_err -lk5crypto -lresolv -ldl
-lz  -ldb -lnsl -lresolv
/usr/bin/ld: cannot find -lz
collect2: ld returned 1 exit status
make: *** [master] Error 1
make: *** [update] Error 1
virhe: Bad exit status from /var/tmp/rpm-tmp.72468 (%build)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rebuild postfix without zlib-devel installed.
2. rebuilding fails

Additional info:
Comment 1 Miloslav Trmac 2004-01-02 20:56:45 EST
Triage->Easyfix
Comment 2 John Dennis 2004-01-12 13:47:34 EST
Thanks! Easy fix, will show up in next rpm

Note You need to log in before you can comment on or make changes to this bug.